%define upstream_name    Test-Flatten
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Subtest output to a flatten
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildArch:  noarch

%description
Test::Flatten is override Test::More::subtest.

The subtest I think there are some problems.

* 1. Caption is appears at end of subtest block.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 373545
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 267508
- update to 0.09

* Sat Jun 16 2012 kharec <kharec> 0.80.0-1.mga3
+ Revision: 260973
- update to 0.08

* Tue Feb 21 2012 kharec <kharec> 0.70.0-1.mga2
+ Revision: 211722
- update to 0.07

* Mon Nov 07 2011 kharec <kharec> 0.60.0-1.mga2
+ Revision: 165012
- imported package perl-Test-Flatten

